%define distname blobby2-linux-%{version}

Summary: Blobby Volley arcade game
Name: blobby
Version: 0.9c
Release: %mkrel 2
License: GPLv2+
Group: Games/Arcade
Url: http://sourceforge.net/projects/blobby/
Source0: http://prdownloads.sourceforge.net/%{name}/%{distname}.tar.gz
Source1: http://blobby.redio.de/wiki/images/logo.png
BuildRequires: automake1.8
BuildRequires: SDL-devel
BuildRequires: GL-devel
BuildRequires: physfs-devel
BuildRequires: boost-devel
BuildRequires: zip
BuildRequires: cmake

%description
Blobby Volley is an arcade game with a simple gameplay and funny
characters design.

%prep
%setup -q -n blobby-beta-%{version}

%build
cmake .
%make

%install
# svn files forgotten upstream
rm -rf data/gf2x/font_small/.svn
install -d %{buildroot}%{_gamesbindir} %{buildroot}%{_gamesdatadir}/%{name}/data
for p in %{name} %{name}-server; do
    install -m 755 src/$p %{buildroot}%{_gamesbindir}/$p.real
    cat > %{buildroot}%{_gamesbindir}/$p <<EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
exec $p.real \$@
EOF
    chmod +x %{buildroot}%{_gamesbindir}/$p
done

cp -a data/*.xml data/*.zip data/backgrounds data/gfx data/gf2x data/sounds %{buildroot}%{_gamesdatadir}/%{name}/data
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Blobby Volley
Comment=Blobby Volley arcade game
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%clean

%files
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}.real
%{_gamesbindir}/%{name}-server
%{_gamesbindir}/%{name}-server.real
%{_gamesdatadir}/%{name}/data
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop




%changelog

* Tue Mar 06 2012 zezinho <zezinho> 0.9c-2.mga2
+ Revision: 220487
- remove soundwrapper from menu as it is not used anymore

* Mon Dec 19 2011 zezinho <zezinho> 0.9c-1.mga2
+ Revision: 184468
- new version

* Sun Jul 10 2011 stormi <stormi> 0.9b-2.mga2
+ Revision: 121953
- update to 0.9b
- remove buildroot definition
- fix license

* Sat Jun 11 2011 zezinho <zezinho> 0.7.0-0.20091002.1.mga2
+ Revision: 103394
- imported package blobby


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-0.20091002.2mdv2011.0
+ Revision: 616777
- the mass rebuild of 2010.0 packages

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.7.0-0.20091002.1mdv2010.0
+ Revision: 452633
- buildrequire boost-devel
- buildrequires cmake
- add wrappers to run from data dir
- update to 20091002 snapshost (fix build with gcc >= 4.3)
- use cmake to install
- update URL
- restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for new libphysfs

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.6.a-1.20061105mdv2008.1
+ Revision: 122747
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 0.6.a-1.20061105mdv2007.0
+ Revision: 89967
- add menu entry

* Sun Nov 05 2006 Olivier Blin <oblin@mandriva.com> 0.6.a-0.20061105mdv2007.1
+ Revision: 76726
- buildrequire zip
- initial blobby volley release
- Create blobby

